/// <reference types="node" />
import * as fs from "fs";
import * as tmp from "tmp";
import * as q from "q";
import { TempPath } from "../helpers/temp-path";
export declare class FileService {
    exists(path: fs.PathLike): boolean;
    existsAsync(path: fs.PathLike): q.Promise<boolean>;
    readFile(path: fs.PathLike): Buffer;
    readFileAsync(path: fs.PathLike): q.Promise<Buffer>;
    writeFileAsync(path: fs.PathLike, content: any): q.Promise<void>;
    readDirectoryAsync(directory: string): q.Promise<string[]>;
    isDirectoryAsync(directory: string): Promise<boolean>;
    deleteDirectoryRecursiveAsync(directory: string): Promise<void>;
    deleteDirectoryAsync(directory: string): Promise<void>;
    deleteFileAsync(file: string): Promise<void>;
    createDirectoryRecursiveAsync(directory: string): Promise<void>;
    createDirectoryAsync(directory: fs.PathLike): Promise<void>;
    createTempFileAsync(options: tmp.Options): q.Promise<TempPath>;
    createTempDirectoryAsync(): q.Promise<TempPath>;
    changeExt(file: string, ext?: string): string;
    toAbsoluteFileUrl(url: string): string;
    resolveModuleDirectory(module: string): string;
    private nfCallNoError<TValue>(nodeFunction, ...args);
}
declare const _default: FileService;
export default _default;
export { TempPath } from "../helpers/temp-path";
