import { IOptions } from "../markdown-document";
import { TempPath } from "./file-service";
export declare class LayoutService {
    readonly layoutPath: string;
    /**
     * Resolves the path of the given layout.
     * This function will try the following locations:
     * - layout path itself (if it is an absolute path)
     * - layout path relative to the documents location
     * - layout path inside the common layout directory
     *
     * @param layout The layout path or partial path to resolve
     * @param documentPath The path to the current document
     */
    resolveLayoutPathAsync(layout: string, documentPath: string): Promise<string>;
    applyLayoutAsync(layoutPath: string, markdownAsHtml: string, options: IOptions, additionalData?: any): Promise<TempPath>;
    private getTempDirectoryAsync(options);
}
declare const _default: LayoutService;
export default _default;
export { IDocumentInformation } from "../markdown-document";
