import { IRemarkable, IRemarkableOptions, IState, IToken, IRenderer } from "remarkable-types";
/**
 * Includes markdown files.
 *
 * document.md:
 * # title
 * @(include file1.md)
 *
 * file1.md
 * ## subtitle
 *
 * will be merged to:
 * # title
 * ## subtitle
 */
export declare class IncludePlugin {
    private md;
    static readonly IDENTIFIER: string;
    static readonly REGEX: RegExp;
    private readonly dependencyManager;
    constructor(md: IRemarkable);
    parse(state: IState, startLine: number, endLine: number, silent: boolean): boolean;
    render(tokens: IToken[], idx: number, options: IRemarkableOptions, env: any, renderer: IRenderer): string;
    private currentFile(env);
    static register(md: IRemarkable): IncludePlugin;
}
